# -*- rpm-spec -*-
Summary: Readline based interface to Mathematica
Name: jmath
Version: 0.9.16
Release: 1
Copyright: GPL
Group:  Applications/Math
Source: http://robotics.caltech.edu/~radford/jmath/jmath-%{version}-%{release}.tar.gz
Prefix: /usr
BuildRoot: /tmp/jmath-root
BuildRequires: readline-devel libtermcap-devel

%description
JMath <http://robby.caltech.edu/~radford/jmath/> is a text based
frontend for Mathematica <http://www.mathematica.com/> that is based
on the GNU Readline library <ftp://ftp.gnu.org/pub/gnu/readline>.  It
is to Mathematica what tcsh/bash are to csh/sh.  If you are still are
using the terminal interface, you'll probably like this program.  The
following are some of it's advantages over the default text based
frontend 'math'.

 o Command line editing and history (via readline)
 o Symbol completion
 o Lets Mathematica know when terminal is resized
 o Moves cursor to position of syntax errors for easy correction

%prep
%setup

%build
mcc -Wall ${RPM_OPT_FLAGS} jmath.c -o jmath -lreadline -ltermcap

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
install -m755 jmath  ${RPM_BUILD_ROOT}/usr/bin/jmath

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
/usr/bin/jmath
